com.rscja.deviceapi

## Class Uart

- java.lang.Object
- - com.rscja.deviceapi.Uart

-     public class Uart
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `MODULE_RS232`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `close()` 关闭串口
    `static Uart` | `getInstance()`
    `boolean` | `open(int module, java.lang.String path, int baudrate, int databits, int stopbits, int check)` 打开串口
    `boolean` | `open(java.lang.String path, int baudrate)` 打开串口(databits:8 stopbits:1 check:0)
    `boolean` | `open(java.lang.String path, int baudrate, int databits, int stopbits, int check)` 打开串口
    `byte[]` | `receive()` 接收数据
    `boolean` | `send(byte[] data)` 发送数据 Send data.
    `int` | `sendAndReceive(byte[] sendData, byte[] outData)` 发送接收数据

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MODULE_RS232

          public static final int MODULE_RS232

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getInstance

          public static Uart getInstance()

    - #### open

          public boolean open(java.lang.String path,
                              int baudrate)

      打开串口(databits:8 stopbits:1 check:0)
      Parameters:
        `path` - 串口路径
        `baudrate` - 波特率
      Returns:
        true:success false:fail

    - #### open

          public boolean open(java.lang.String path,
                              int baudrate,
                              int databits,
                              int stopbits,
                              int check)

      打开串口
      Parameters:
        `path` - 串口路径
        `baudrate` - 波特率
        `databits` - 数据位 取值为 7 或者8
        `stopbits` - 停止位 取值为 1 或者2
        `check` - 效验类型 取值为 0无, 1奇, 2偶
      Returns:
        true:success false:fail

    - #### open

          public boolean open(int module,
                              java.lang.String path,
                              int baudrate,
                              int databits,
                              int stopbits,
                              int check)

      打开串口
      Parameters:
        `module` - 传递-1
        `path` - 串口路径
        `baudrate` - 波特率
        `databits` - 数据位 取值为 7 或者8
        `stopbits` - 停止位 取值为 1 或者2
        `check` - 效验类型 取值为 0无, 1奇, 2偶
      Returns:
        true:success false:fail

    - #### close

          public boolean close()

      关闭串口
      Returns:

    - #### send

          public boolean send(byte[] data)

      发送数据
      Send data.
      Parameters:
        `data` - 数据
        Data
      Returns:
        true成功，false失败
        If sucess,return true, if failure, return false.

    - #### receive

          public byte[] receive()

      接收数据

    - #### sendAndReceive

          public int sendAndReceive(byte[] sendData,
                                    byte[] outData)

      发送接收数据